import java.sql.*;

public class Main {
	public static void main(String[] args) throws SQLException {
		ConnectionManager.connect();
		
		Person p = new Person(0, "Mueller", 'M');
		p.insert();
		
		
		for (Person ps : Person.findAll()) {
			System.out.println(ps);
		}
		
		
		Genre g = new Genre(0, "Horror");
		g.insert();
		
		for (Genre gs : Genre.findAll()) {
			System.out.println(gs);
		}
		
		MovieCharacter mc = new MovieCharacter(0, "Peter Lustig", "Peter Unlustig", 1, p.getPersonID());
		mc.insert();
		
		for (MovieCharacter mcs : MovieCharacter.findAll()) {
			System.out.println(mcs);
		}
		
		ConnectionManager.disconnect();
	}
}
